### Function

# EDataServer binding_bind_property

since: 3.16

#### Declaration [src]

    GBinding*
    e_binding_bind_property (
      GObject* source,
      const gchar* source_property,
      GObject* target,
      const gchar* target_property,
      GBindingFlags flags
    )

#### Description [src]

Thread safe variant of g_object_bind_property(). See its documentation for more information on arguments and return value.

Available since: 3.16

#### Parameters

`source`

  Type: `GObject`

  The source `GObject`.

  The data is owned by the caller of the function.

`source_property`

  Type: `const gchar*`

  The property on `source` to bind.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`target`

  Type: `GObject`

  The target `GObject`.

  The data is owned by the caller of the function.

`target_property`

  Type: `const gchar*`

  The property on `target` to bind.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GBindingFlags`

  Flags to pass to `GBinding`.

#### Return value

Type: `GBinding`

No description available.

The data is owned by the called function.